Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model.items
Class ConditionalBlockRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation
          org.jbpm.form.builder.services.model.items.ConditionalBlockRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class ConditionalBlockRepresentation

extends FormItemRepresentation

See Also:
  Serialized Form

Constructor Summary
`ConditionalBlockRepresentation()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCondition()`
`Map<String,Object>` | `getDataMap()`
`FormItemRepresentation` | `getElseBlock()`
`FormItemRepresentation` | `getIfBlock()`
`int` | `hashCode()`
`void` | `setCondition(String condition)`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setElseBlock(FormItemRepresentation elseBlock)`
`void` | `setIfBlock(FormItemRepresentation ifBlock)`

Methods inherited from class org.jbpm.form.builder.services.model.FormItemRepresentation
`addEffectClass, getEffectClasses, getEventActions, getExternal, getHeight, getInput, getItemValidations, getOutput, getTypeId, getWidth, setEffectClasses, setEventActions, setExternal, setHeight, setInput, setItemValidations, setOutput, setWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConditionalBlockRepresentation

    public ConditionalBlockRepresentation()

Method Detail

### getIfBlock

    public FormItemRepresentation getIfBlock()

### setIfBlock

    public void setIfBlock(FormItemRepresentation ifBlock)

### getElseBlock

    public FormItemRepresentation getElseBlock()

### setElseBlock

    public void setElseBlock(FormItemRepresentation elseBlock)

### getCondition

    public String getCondition()

### setCondition

    public void setCondition(String condition)

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`
  Overrides:
    `getDataMap` in class `FormItemRepresentation`

### setDataMap

    public void setDataMap(Map<String,Object> data)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Overrides:
    `setDataMap` in class `FormItemRepresentation`
  Throws:
    `FormEncodingException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FormItemRepresentation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FormItemRepresentation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.